[PC-BSD Commits] r703 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Tue Sep 11 14:58:26 PDT 2007


Author: kris
Date: 2007-09-11 14:58:26 -0700 (Tue, 11 Sep 2007)
New Revision: 703

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh
Log:

Added option to remove nfe driver from loader.conf if its not detected



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh	2007-09-11 21:49:16 UTC (rev 702)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.NetConfig.sh	2007-09-11 21:58:26 UTC (rev 703)
@@ -96,3 +96,10 @@
 
 done
 
+# Check if we need to keep the nfe driver loaded
+echo " ${config}" | grep " nfe"  >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cat /mnt/boot/loader.conf | grep -v "if_nfe" > /mnt/tmp/loader.new
+  mv /mnt/tmp/loader.new /mnt/boot/loader.conf
+fi



More information about the Commits mailing list